Subject: bug#67876: closed (request for merging mesa-updates)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 08 Jan 2024 19:46:02 +0000

Your bug report

#67876: request for merging mesa-updates

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67876: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67876
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: request for merging mesa-updates
From: John Kehayias <[email-masked]>
To: [email-masked]
Date: Mon, 08 Jan 2024 19:44:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Duplicate and now mesa-updates merged in
7a7c8920aeddaf9ab8d68c572780bc34b404711b

Subject: request for merging mesa-updates
From: John Kehayias <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 17 Dec 2023 23:50:20 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

As mentioned on guix-devel, <https://lists.gnu.org/r/guix-devel/2023-12/msg00158.html>, this is a hopefully quick branch to update mesa (new stable release as current one we have ended up without updates) and get security updates for xorg-server-xwayland, via <https://issues.guix.gnu.org/67136>.

That requires a newer xorgproto which rebuilds (most of) the world. As with libx11 ungrafting, this is due mostly to python as far as I can tell, via the tk dependency. Unfortunately, it seems that can't be easily separated out: <https://lists.gnu.org/r/guix-devel/2023-12/msg00165.html>

Anyway, there are currently those 3 commits (mesa, xorgproto, xorg-server-xwayland) building away. I'm seeing lots of builds "failing" with "missing derivation" which I've been manually restarting. The biggest real failure I've spotted just clicking around on Cuirass is gtk on i686-linux. A test fails and I have no idea why and don't see how to disable just that test so far. I tried to see about updating glib and gtk from the gnome branch to see if that fixes it, but it required too much local building so far. So, that is one to keep an eye out. At least the dependencies number around 100.

Still waiting to hear from other people about current branches for what the order will be in merging, but figured I'd get things building either way with the CI looking idle.

Thanks!